Kerbal Space Program - Bug #27199

Any of robotic parts cannot be placed at eva construction.
01/31/2021 09:14 PM - jukkamuhonen@hotmail.com

Status: Resolved Start date: 01/31/2021
Severity: Low % Done: 100%
Assignee: victorr

Category: Robotics

Target version:

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

Except large alligator hinges, they are only robotics which works.

Here is video of testing all robotics of game:
https://youtu.be/2J NyV3dO3A

No mods installed

History

#1 - 01/31/2021 09:34 PM - jukkamuhonen@hotmail.com

extra behauviour:

1) If you manage to put them on place, by hovering them first on left side of screen, you can't remove them or ship will explode and you end up
mouse hovering with that item.

2) On case 1. you can reload scene again to get rid of this problem, but it doesn't remove robotic parts placement problem.

3) Case 1 glitch isn't saved on gamefile so this problem is real time only.

4) Some robotic parts glitches little bit differently:

-Hinges cannot be attached anywhere even after mouse hover, you have to cancel EVA construction mode. After that touching them leads to
explosion.

-Pistons can be attached after you hover them on left. On all cases if you put piston on empty place to drop it to air/'vacuum, it shoots itself to oriented
direction.

#2 - 02/09/2021 05:15 PM - victorr

- Assignee set to victorr

#5 - 02/12/2021 04:13 PM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#7 - 03/17/2021 05:33 PM - jukkamuhonen@hotmail.com

Seems to be fixed on 1.11.2, patch change log doesn't say anything about this, tho.

#8 - 03/22/2021 05:10 PM - victorr
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100
